IF NOT OBJECT_ID('V_EST_ALCADA_CP_PED_EST_PED_ELTR_SUPRIMENTO_AGENDA_PEND') IS NULL
	BEGIN 
		DROP VIEW V_EST_ALCADA_CP_PED_EST_PED_ELTR_SUPRIMENTO_AGENDA_PEND
	END 

GO
 
CREATE VIEW V_EST_ALCADA_CP_PED_EST_PED_ELTR_SUPRIMENTO_AGENDA_PEND
AS

SELECT 
	AGD_ALCADA.CD_CTR,
	AGD_ALCADA.CD_EMP,
	AGD_ALCADA.CD_AGENDA,
	0 AS CD_CTR_GRUPO,
	AGD_ALCADA.CD_FABRIC,
	AGD_ALCADA.DT_PROX_AGENDA,
	AGD_ALCADA.DT_PROX_AGENDA_DEFAULT,
	0 AS TP_AGENDA
FROM EST_ALCADA_CP_PED_EST_PED_ELTR_SUPRIMENTO_AGENDA AGD_ALCADA
	INNER JOIN EST_ALCADA_CP_PED_PEND PEND ON 
		AGD_ALCADA.CD_CTR = PEND.CD_CTR 

UNION ALL

SELECT 
	AGD_ALCADA.CD_CTR,
	AGD_ALCADA.CD_EMP,
	AGD_ALCADA.CD_AGENDA,
	AGD_ALCADA.CD_CTR_GRUPO,
	0 as CD_FABRIC,
	AGD_ALCADA.DT_PROX_AGENDA,
	AGD_ALCADA.DT_PROX_AGENDA_DEFAULT,
	1 AS TP_AGENDA
FROM EST_ALCADA_CP_PED_EST_PED_ELTR_SUPRIMENTO_AGENDA_GRUPO AGD_ALCADA
	INNER JOIN EST_ALCADA_CP_PED_PEND PEND ON 
		AGD_ALCADA.CD_CTR = PEND.CD_CTR 		